Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 321043 - Please stabilize dev-ruby/hoe-2.6.0-r1 and its dependencies
Summary: Please stabilize dev-ruby/hoe-2.6.0-r1 and its dependencies
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 312547 325695
Blocks: 304057 321103 321217
  Show dependency tree
 
Reported: 2010-05-22 13:37 UTC by Hans de Graaff
Modified: 2010-09-29 21:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
minitest-1.5.0.txt (minitest-1.5.0.txt,1.49 KB, text/plain)
2010-07-17 19:26 UTC, David Abbott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2010-05-22 13:37:42 UTC
I'd like to request the stabilization of dev-ruby/hoe-2.5.0 and its dependencies. This version is the first version using the new ruby-ng eclass framework to go stable.

The following packages should be stablized (in order):
=dev-ruby/minitest-1.5.0
=virtual/ruby-minitest-0
=dev-ruby/rubyforge-2.0.4
=dev-ruby/hoe-2.5.0
Comment 1 Hans de Graaff gentoo-dev 2010-05-23 06:23:50 UTC
Add arches.
Comment 2 Andreas Schürch gentoo-dev 2010-06-02 19:33:36 UTC
I removed every dev-ruby package prior to testing on x86 this time! ;-)

hoe with RUBY_TARGET=jruby.......
There's no stable request for rake-0.8.7-r4, and i think this whole thing should wait for bug #312547!? 

merge: there are no ebuilds built with USE flags to satisfy ">=dev-ruby/rake-0.8.7[ruby_targets_jruby]".
!!! One of the following packages is required to complete your request:                                  
- dev-ruby/rake-0.8.7-r3 (Missing IUSE: ruby_targets_jruby)    



minitest fails the tests with the following error (installing gemcutter and hoe-seattlerb didn't helped...just the skip-messages disappeared).

* Running test phase for ruby18 ...                                                                                                                
(in /var/tmp/portage/dev-ruby/minitest-1.5.0/work/ruby18/minitest-1.5.0)                                                                            
error loading "/usr/lib/ruby/gems/1.8/gems/hoe-2.5.0/lib/hoe/gemcutter.rb": Could not find RubyGem gemcutter (>= 0)                                 
. skipping...                                                                                                                                       
error loading "/usr/lib/ruby/gems/1.8/gems/hoe-2.5.0/lib/hoe/gemcutter.rb": Could not find RubyGem gemcutter (>= 0)                                 
. skipping...                                                                                                                                       
warning: couldn't activate the gemcutter plugin, skipping                                                                                           
warning: couldn't activate the seattlerb plugin, skipping                                                                                           
/usr/bin/ruby18 -w -Ilib:ext:bin:test -e 'require "rubygems"; require "test/unit"; require "test/test_mini_test.rb"; require "test/test_mini_mock.rb"; require "test/test_mini_spec.rb"'                                                                                                                
Loaded suite -e                                                                                                                                     
Started                                                                                                                                             
....................................................................F...........................................................                    
Finished in 0.032445 seconds.                                                                                                                       

  1) Failure:
test_assert_same_triggered(TestMiniTestTestCase) [./test/test_mini_test.rb:1011]:
Expected "Expected \"blah\" (0xXXX) to be the same as \"blah\" (0xXXX).", not "Expected \"blah\" (0x..fdb8e0390) to be the same as \"blah\" (0x..fdb8e039a).".                                                                                                                                          

128 tests, 350 assertions, 1 failures, 0 errors, 0 skips
rake aborted!                                           
Command failed with status (1): [/usr/bin/ruby18 -w -Ilib:ext:bin:test -e '...]




The rest of these three packages seem to be fine inclusive rdeps (without jruby)! 
Comment 3 Hans de Graaff gentoo-dev 2010-06-05 07:07:55 UTC
(In reply to comment #2)
.
> There's no stable request for rake-0.8.7-r4, and i think this whole thing
> should wait for bug #312547!? 

Yes, we intend to wait for jruby to be stable so that we don't keep juggling stable and testing ruby targets in revisions. Good call on rake, I've added a revision that can be used with jruby and added a note about it in bug 312547.

> minitest fails the tests with the following error (installing gemcutter and
> hoe-seattlerb didn't helped...just the skip-messages disappeared).

Hmm, I can't see to reproduce this error. Could you try minitest 1.6.0 instead?
Comment 4 Pacho Ramos gentoo-dev 2010-06-27 15:48:48 UTC
(In reply to comment #3)
> Could you try minitest 1.6.0 instead?
> 

bug 321055 is reported with that version :-/ 
Comment 5 Christoph Mende (RETIRED) gentoo-dev 2010-06-29 10:21:53 UTC
amd64 stable
Comment 6 Andreas Schürch gentoo-dev 2010-06-29 12:30:03 UTC
I also ran into Bug #321055 with minitest-1.6.0.
Comment 7 David Abbott gentoo-dev 2010-07-17 19:26:30 UTC
Created attachment 239171 [details]
minitest-1.5.0.txt

I could not seem to put together the correct combination.
Comment 8 Hans de Graaff gentoo-dev 2010-07-21 07:38:04 UTC
The issues with minitest-1.6.0 are now "fixed" in the sense that we don't run the tests for jruby right now, pending further investigation on this issue. The reported test failures only cause different output so this should not block actual usage of minitest.
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-21 07:46:03 UTC
Tests have been restricted for now, as the cause for the failures is not a broken functionality.  So we can go on.
Comment 10 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-21 12:43:42 UTC
stable x86, thanks Andreas and David
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2010-07-24 17:00:53 UTC
ia64/sparc stable
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2010-08-17 00:30:05 UTC
Stable for HPPA.
Comment 13 Brent Baude (RETIRED) gentoo-dev 2010-09-28 18:56:13 UTC
ppc done
Comment 14 Brent Baude (RETIRED) gentoo-dev 2010-09-29 21:39:57 UTC
ppc64 done